import { useRequest } from '@/use/useHttp'

/**
 * 分享短码
 */
export const GetShortCodeApi = () => {
  return useRequest({
    url: '/v1/mall/shortCode/add',
    method: 'post',
  })
}

/**
 * 解析短码
 */
export const AnalysisShortCodeApi = () => {
  return useRequest({
    url: '/v1/mall/shortCode',
    method: 'get',
  })
}

/**
 * 绑定上下级
 */
export const BindShortCodeApi = () => {
  return useRequest({
    url: '/v1/mall/shortCode/bind',
    method: 'post',
  })
}
